<bugID>1041754<Summary>Add ability to search individual sites through the Awesome Bar.</Summary><Description>Created attachment 8459809
Mockup showing search-other-site functionality

Currently a user can type search terms into the Awesome Bar which takes them to a results page on their default search engine's site.

Sometimes, however, users may want to search a specific site, such as Amazon.com.

This bug is about enabling users to do that in the Awesome Bar.

By typing a domain + a space + search query, the Awesome Bar's "searching for" row text will change to: Searching &lt;Domain&gt; for &lt;Search Term(s)&gt;

The Identity block will also change to reflect the domain that is being searched.

The user can exit site search by pressing the delete key after their search term/phrase is deleted.

If a user as a prior entry in their history related to a search on the user-selected domain, that will be listed as a result under the search suggestions.</Description></bugID>